GWeather 4.4.4 (stable)

- Fix deprecation warnings [!300]
- Fix introspection annotation for async functions [!318]
- Plug some memory leaks [!321]
- Translation updates

GWeather 4.4.2 (stable)

- Fix endpoing for the METAR provider [!290]
- Translation updates

GWeather 4.4.0 (stable)
=======================

- nws: fix null string comparison when reading visibility [!282]
- Translation updates
- Location database changes
  - Adds Cities from Ukraines Zaporizhzhia Oblast [!276]

GWeather 4.3.2 (development)
============================

- Fix fallback metric unit detection logic [!231]
- Documentation fixes [!229]
- Performance improvements for nearest location lookups [!271]
- Location database changes
  - Add Ulsan city and Ulsan Airport [!218]
  - Add Koblenz and Mainz (Germany) [!184]
  - Add São Bento do Sul, Brazil [!220]
  - Add Ryazan' city [!224]
  - Add Freiburg and Heidelberg in Germany [!225]
  - Add Nottingham, UK [!268]
  - Add cities and airports in Argentina [!270]
  - Add Bracknell, United Kingdom [!249]
  - Update Romanian cities [!255]
  - Add cities in Rwanda [!260]
  - Add Mahilyow, Belarus [!250]
  - Add Aachen (North Rhine-Westphalia, Germany) [!246]
  - Add airports, structure of regions and biggest regional cities of Ukraine [!242]
  - Add Osh City (Kyrgyzstan) [!190]
  - Add city Caravaca de la Cruz [!237]
  - Add a new Argentinian city, Bahía Blanca [!177]
  - Fix timezone for Denpasar [#209]
  - Fix spelling of Siem Reap [#199]
  - Add Rio Grande in Brazil [!226]
  - Add major cities of Japan [!267]
  - Add some cities in Germany [!266]
- Translation updates

GWeather 4.2.0 (stable)
=======================

- Allow overriding vapigen with older Meson versions [!176]
- Documentation fixes [!223]
- Build fixes with newer versions of Meson [!222]
- Translation updates

GWeather 4.1.1 (development)
============================

- Locations database changes
  - Give proper name for Cannes-Mandelieu Airport [#162]
  - Add name of Korean cities written in Hangul [!217]
  - Update romanization of the name of Korean cities [!216]
  - Re-organize India's locations based on states [!214]
  - Add airports in Georgia [!203]
  - Add various cities in Brazil [!209]
  - Add various cities in Chile
  - Add major cities and all international airports in Indonesia
  - Replace cities in the Netherlands with the top 44 large cities
  - Add Dunedin, NZ
  - Add Zhytomyr, UA
- Disable documentation when cross-compiling [#170]
- Fix issue with missing variable initialization [#178]
- Use Meson's gnome.post_install() instead of our custom script [!215]
- Add NWS weather provider for locations in the US
- Translation updates

GWeather 4.1.0 (development)
============================

Changes since 4.0
-----------------

- Update dependency to geocode-glib-2.0 [Bastien Nocera]
- Switch to using libsoup3 by default [Michael Catanzaro]
- Add cities in: Greece, Turkey, India, Argentina,
- Fix various locations in Israel and Palestine
- Fix test METAR service test suite [Pierre Labastie, #168]
- Translation updates:
  - German, Bulgarian, Latvian, Dutch, Friulan, Icelandic, Catalan, Hebrew,
    Ukrainian, Swedish, Persian, Portuguese, Russian, Occitan,
    Chinese (China), Serbian, Indonesian

GWeather 4.0.0 (stable)
=======================

Changes since GWeather 3.99
---------------------------

- Translation updates

GWeather 3.99.0 (release candidate for 4.0)
===========================================

Changes since GWeather 3.91
---------------------------

- Translation updates
- Updated location database

GWeather 3.91.0 (development snapshot)
======================================

Changes since GWeather 3.90
---------------------------

- Renamed `gweather-weather.h` to `gweather-info.h`
- Removed GWeatherTimezone
- New locations: Palestine cities, county capitals in Romania
- Fix Vala binding of Location.detect_nearest_city() [Rico Tzschichholz]
- Add GWeather.Location.has_timezone()
- Depend on GLib ≥ 2.68 [Will Thompson]
- Fix build on 32bit architectures [Javier Jardón]
- Documentation updates in the migration guide
- Translation updates

GWeather 3.90.0 (development snapshot)
======================================

Changes since GWeather 40.0
---------------------------

- New major API
- Remove uses of deprecated API
- Use explicit symbol versioning
- Move to gi-docgen for generating the API reference
- Remove the widgets, along with the GTK3 dependency
- Remove the dependency on gdk-pixbuf
- Fix a memory leak in GWeather.Info.get_location_name() [#80]
- Use the appropriate Unicode for temperature units [#8]
- Support building libgweather with libsoup3
- Translation updates

Changes in the locations database
---------------------------------

- Add missing Italian capitals of provinces
- Add missing Spanish capitals of provinces
- Add Petrozavodsk city
- Add city Multan, Pakistan and Multan Airport
- Add Half Moon Bay for a coastal Bay Area reference
- Quetta and Peshawar added (cities in Pakistan)
- Added Albany Airport, Western Australia (YABA)
- Add Santa Fe city and its airport
- Fix Astrakhan' timezone [#83]

==================
Version 40.0
==================

- Fix possible uninitialized variable in location entry
- Translations updates

==================
Version 40.beta
==================
- Fix gweather_location_next_child annotations
- metno: Use alphabetical 2.0 symbol codes

==================
Version 40.alpha.1
==================

This version fixes a few major issues that slipped into the last release:
- Fix warnings related to the new application-id and contact-info properties
- Fix use-after-free issues when detached locations are used
- Fix vala binding issues by removing a left over struct definition

================
Version 40.alpha
================

This version contains a number of API and ABI changes that applications
will need to be modified for, including:
- An application-id as well as contact information must be provided for
  every application to use online weather services. For GApplication-based
  applications, the application ID is prefilled.
- All online weather providers are disabled by default, applications
  should enable those that it has verified it can follow the terms of
  service for. Note, for example, the requirement to subscribe to the
  met.no API users mailing-list.
- A lot of the getter functions for the location database now return
  references to objects which the application will need to handle. Applications
  that use JavaScript or Python bindings should not require special handling
  for this change.

The library was also modified to use a more-efficient Location database
format, reducing I/O when instantiated, online weather fetching uses a
maximum of 4 decimals in coordinates for queries to enhance caching, and
the yr.no backend was renamed to Met.no.

==============
Version 3.34.0
==============

This version contains translation updates.

===============
Version 3.33.92
===============

This version fixes a bug when using the yr.no and NOAA weather services
together failing in some circumstances, and also fix the iwin service.

==============
Version 3.33.0
==============

This version of the library bumps the soname after an ABI break in 3.31.91
that went unnoticed. If you see strange crashes, make sure to bump the
required version of libgweather to 3.31.91 or newer.

==============
Version 3.32.1
==============

* Fix location deserialisation not working for locations
  without a weather station code (eg. cities)
* Make more debug available for weather fetching
* Translation updates

==============
Version 3.32.0
==============

* Fix a warning when the location text entry is used
* Remove closed Bristol Filton weather station
* Translation updates

===============
Version 3.31.91
===============

This version of the library contains all the bug fixes already present
in version 3.28.3, but also:
* Disconnect cities from weather stations and remove duplicated
  weather stations
* Remove <province> sub-division
* Location database updates

==============
Version 3.28.0
==============

* Fix translations not being used [#794027]
* Translation updates
* Location database updates and fixes for Israel

==============
Version 3.27.4
==============

* Deprecated API was removed; this caused a soname bump. All dependent software must
  be rebuilt [Bastien Nocera, #791313]
* New API: a new level of locations, called "named timezones" was added, to represent
  well known timezones with no associated location. Two named timezones are included:
  UTC and AoE (Anywhere on Earth) [Bastien Nocera, Giovanni Campagna, #791066]
* It is now possible to have cities in the database with no associated weather station;
  the nearest weather station is chosen if necessary
* Matching of search terms to location names was improved [#791066, #791403]
* The Yahoo Weather backend was removed; it was not well tested and unused by
  most applications and distributions [Bastien Nocera, #791084]
* More tests were added [Bastien Nocera, #791307, #791313, #791317, #791319, #791402]
* Misc bug fixes [Bastien Nocera, #789080]
* Build system fixes [Piotr Drag; Emmanuele Bassi; Bastien Nocera, #791088, #791086]
* Translation bug fixes [Piotr Drag, #781364]
* Location database updates and fixes [Bastien Nocera, #791095, #620897, #727186,
  #643928, #789951, #791323, #599880, #642634, #606557, #617689, #768309, #635534,
  #597989, #625270, #625270, #583644, #534047, #572675; Amit Pundir, #611945;
  Fabio Duran Verdugo, #640877; Silvara, #778707]
* Updated translations

==============
Version 3.27.1
==============

* This is the first version to use the meson build system.
* Updated translations

==============
Version 3.26.0
==============

* Updated translations

===============
Version 3.25.92
===============

* Location database fixes
* Updated translations

===============
Version 3.25.91
===============

* New API to show uncapitalized weather [Florian Muellner, #779872]
* Memory management fixes [Florian Muellner, #781828]
* User visible string fixes [#785274]
* Location database updates and fixes [Piotr Drag, #780244]
* Updated translations

==============
Version 3.24.1
==============

* Memory management fixes [Florian Muellner, #780278; Andreas Brauchli, #782760]
* Updated translations

==============
Version 3.24.0
==============

* New API to find a country by code [#753332]
* Location entry now respects country when choosing the closest
  weather station [#753332]
* Misc bug fixes [Will Thompson, #776170; #770979; Piotr Drag, #772758]
* Location database updates and fixes [#775737; #776337; #770579]
* Updated translations

==============
Version 3.20.4
==============

* Updated translations

==============
Version 3.20.3
==============

* NOAA shut down their METAR provider service, so libgweather
  switched to a different provider [Frank Dana, #770321]
* Updates translations

==============
Version 3.20.2
==============

* Fixed NOAA API URL [Daniel Aleksandersen, #765322]
* Updated translations

==============
Version 3.20.1
==============

* Updated translations

==============
Version 3.20.0
==============

* Updated translations

===============
Version 3.19.92
===============

* Update to new yr.no API [Daniel Aleksandersen, #763175]
* Updated translations

===============
Version 3.19.90
===============

* Build system updates
* Fix build with Clang [Ting-Wei Lan, #760178]
* libsoup dependency bumped to 2.44
* Updated translations

==============
Version 3.18.1
==============

* Build system fixes
* Updated translations

==============
Version 3.18.0
==============

* Updated translations

===============
Version 3.17.92
===============

* Updated translations

==============
Version 3.17.2
==============

* New API to resolve default values for units (only temperature for now)
* Reduced use of deprecated APIs
* Updated translations

==============
Version 3.17.1
==============

* API break: some include files were renamed, and single includes
  are now mandatory. Binary compatibility was preserved.
* Misc bug fixes to the search in the database [#747017, #748299]
* Location database fixes [Changwoo Ryu, #747155]
* Build system updates to improve operation with GNOME Builder
* Build system fixes [Emmanuele Bassi, #747837] [#747890]

==============
Version 3.16.1
==============

* Updated translations

==============
Version 3.16.0
==============

* Updated translations

===============
Version 3.15.92
===============

* Improved integration with geocode-glib (which avoids showing the
  country name twice now)
* Misc bug fixes
* Updated translations

===============
Version 3.15.91
===============

* Updated translations

===============
Version 3.15.90
===============

* New API: gweather_location_new_detached(), for easier integration
  with services that provide only a description, latitude and longitude
* New and improved documentation
* Updated translations

==============
Version 3.15.1
==============

* Location database fixes [Maksim Kraev, #743092, #743111, #743112]
* Updated translations

==============
Version 3.14.3
==============

* Fixed a crash in the location entry [Matthias Clasen, #739899]
* Location database fixes [#740932, #721446]
* Updated translations

==============
Version 3.14.1
==============

* The yahoo weather backend now uses HTTPS for privacy [#737566]
* The yr.no weather backend was fixed (it regressed in 3.13.92)
  [#738307]
* Updated translations

==============
Version 3.14.0
==============

* Updated translations

===============
Version 3.13.92
===============

* The yr.no backend has been updated to the 1.9 API [#736334]
* Updated translations

===============
Version 3.13.91
===============

* Fixed timezones of all cities (used in gnome-clocks,
  among others) [#734272]
* Misc bug fixes and utility API additions [Paolo Borelli, #734876]
* Location database fixes
* Updated translations

===============
Version 3.13.90
===============

* GWeatherLocationEntry no longer shows different airports
  for the same city separately [#732315]
* Misc bug fixes [#732728]
* Location database fixes [#721134]
* Updated translations

==============
Version 3.13.4
==============

* Expanded the range of cities offered in the location
  entry through the use of geocode-glib [Saurabh, #731466]
* Misc bug fixes
* Location database fixes [Bastien Nocera, #733269]
* Updated translations

==============
Version 3.13.3
==============

* Removed support for moon phase icons, and removed the
  icons from the package
* Fixed GWeatherLocationEntry localization [#726897]
* Location database fixes [Yury Khomchyk, #731394]
* Updated translations

==============
Version 3.13.2
==============

* Serialization format for locations was changed. Existing
  serialized locations are recognized, but variants produced
  by the new library are not compatible.
  The new format is compatible with dbus-1, so locations
  can now be sent across dbus.
* Updated translations

==============
Version 3.13.1
==============

* Added support for a find_nearest_city() method that
  takes a filter function [Saurabh_P, #726186]
* Added support for reverse geocoding to find_nearest_city()
  [Saurabh_P, #725842]
* Build and warning fixes
* Updated translations

==============
Version 3.12.0
==============

* Updated translations

===============
Version 3.11.92
===============

* Fixed SoupSession handling with multiple GWeatherInfos
* Miscellaneous bug fixes [Saurabh_P, #725671]
* Location database additions [Giselle Machado, #707603] [#726016]
* Build fixes
* Updated translations

===============
Version 3.11.91
===============

* Add a version information API [Javier, #724676]
* Improved developer documentation [Javier]
* Updated translations

===============
Version 3.11.90
===============

* Unset the location when the entry is cleared [#724416]
* Location database additions [#722625]
* Updated translations

==============
Version 3.11.5
==============

* Location database additions [#721446, #720871,
  #720777, #722301]
* Fixed invalid yr.no URLs
* Updated translations

==============
Version 3.11.4
==============

* Updated translations

==============
Version 3.11.3
==============

* Restore support for systems without
  _NL_MEASUREMENT_MEASUREMENT (BSDs) [Javier Jardon]
* Add utility function to find the nearest city
  [#677268, Jasper St Pierre]
* Add method to get the timezone by ID [Jasper]
* C standard and build warning fixes fixes [#720207,
  #720208, Ryan Lortie]
* Database updates
* Updated translations

==============
Version 3.10.1
==============

* Updated translations
* Misc bug fixes [#708586, Sjoerd Simons]

==============
Version 3.10.0
==============

* Updated translations

==============
Version 3.9.92
==============

* Updated translations

==============
Version 3.9.91
==============

* Add optional vala support
* Location database fixes
* Updated translations

==============
Version 3.9.90
==============

* Location database fixes
* Updated translations

=============
Version 3.9.5
=============

* Translations for the locations database are now
  stored in separate mo files and looked up at runtime,
  cutting build times and installed size
* A number of minor API breaks, such as the removal of
  forecast-type GObject property and accessors; most
  apps still build fine
* New backend: OpenWeatherMap
* Updated translations

=============
Version 3.9.4
=============

* Fixed handling of detached locations
* Updated translations

=============
Version 3.9.3
=============

* ABI break: GWeatherLocationEntry now is a subclass of
  GtkSearchEntry
* Updated translations and location database fixes

=============
Version 3.9.2
=============

* There is now a single hierarchy of GWeatherLocation
  structures, and gweather_location_new_world() returns
  a singleton object
* Therefore, constructors which accepted a @world parameter
  have been deprecated.
* GWeatherInfo now emits ::updated in response to GSettings
  changes
* A Glade catalog was added, covering the Gtk widgets
* Updated translations

=============
Version 3.9.1
=============

* Miscellaneuous fixes to the METAR, Yahoo
  and yr.no backends
* GWeatherLocationEntry will autocomplete when pressing
  enter (if activates-default is true)
* GWeatherInfo now enables automatic disk caching
  of network request and gzip encoding (where available)
* New API added to flush the cache to disk, only
  for language bindings with a GC (ie JS). C, Vala or Python
  apps get this for free
* Default measure units are now derived from LC_MEASUREMENTS,
  not LC_MESSAGES, thus respecting the configuration in the
  Region & Language control center panel.
* Lots of translation updates

=============
Version 3.8.1
=============

* Translation updates

=============
Version 3.8.0
=============

* Translation updates

==============
Version 3.7.90
==============

* Added a gweather.h global include, which is also
  referenced from the GIR file
* Fixed introspection annotations
* Fixed sunrise and sunset getters requiring forecast data
* Added translation context to ambiguous strings
* Translation updates

=============
Version 3.7.5
=============

* Translation updates

=============
Version 3.7.4
=============

* We no longer use libsoup-gnome, and instead depend
  on a newer libsoup (>= 2.34) which uses libproxy to
  access proxy configuration
* Location update scripts have been ported to Python 3
* Vincent Untz stepped down as a maintainer. Thanks for
  all the work he did in the past!

=============
Version 3.7.3
=============

* Two new backends for GWeatherInfo: Yahoo! Weather
  and Yr.no.
  Work has started to include Yahoo location data (WOEID) in
  the offline database.
* GWeatherInfo backends can now be enabled and
  disabled individually from the application side.
* GWeatherXML was removed from the public API. No users
  of it are known, however the soname was bumped.
* GWeatherLocation is now serializable to GVariant for
  storage in GSettings.
* GWeatherInfo no longer requires network access for
  astronomical data.
* Unmaintained Windows support was removed.
* Translation updates

=============
Version 3.7.2
=============

* Fixed deprecation warnings for modern GLib
* Translation updates

=============
Version 3.6.0
=============

* Translation updates

==============
Version 3.5.92
==============

  Translators

	* Brasilian Portoguese (Djavan Fagundes)
	* British English (Bruce Cowan)
	* Catalan (Carles Ferrando, Gil Forcada)
	* Czech (Marek Černocký)
	* Danish (Ask H. Larsen)
	* Finnish (Timo Jyrinki)
	* French (Alexandre Franke)
	* Galician (Fran Diéguez)
	* Greek (Tom Tryfonidis)
	* Gujarati (Sweta Kothari)
	* Hungarian (Gabor Kelemen)
	* Indonesian (Andika Triwidada, Dirgita)
	* Italian (Milo Casagrande)
	* Korean (Changwoo Ryu)
	* Malayalam (Ani Peter)
	* Marathi (Sandeep Sheshrao Shedmake)
	* Persian (Arash Mousavi)
	* Polish (Piotr Drąg)
	* Portoguese (Duarte Loreto)
	* Russian (Yuri Myasoedov)
	* Simplified Chinese (Tuhaihe)
	* Thai (Theppitak Karoonboonyanan)

==============
Version 3.5.91
==============

  Locations database

  	* Updated coordinates of two Italian cities (Guido Trentalancia)

  Translators

	* Russian (Aleksej Kabanov)
	* Lithuanian (Aurimas Černius)
	* Spanish (Daniel Mustieles)
	* Swedish (Daniel Nylander)
	* Galician (Fran Diéguez)
	* Norwegian bokmål (Kjartan Maraas)
	* Slovenian (Matej Urbančič)
	* Assamese (Nilamdyuti Goswami)
	* Polish (Piotr Drąg)

==============
Version 3.5.90
==============

  Translators

        * Serbian (Мирослав Николић)
	* Assamese (Nilamdyuti Goswami)
	* Marathi (Sandeep Sheshrao Shedmake)
	* Italian (Milo Casagrande)

=============
Version 3.5.5
=============

  Translators

        * Traditional Chinese (Chao-Hsiung Liao)

=============
Version 3.5.4
=============

  Translators

        * Bulgarian (Alexander Shopov)
        * Arabic (Khaled Hosny)
        * Norwegian bokmål (Kjartan Maraas)
        * Vietnamese (Nguyễn Thái Ngọc Duy)
        * Assamese (Nilamdyuti Goswami)

=============
Version 3.5.1
=============

  libgweather

        * Various introspection updates and fixes (Giovanni Campagna)
	* GWeatherLocation is now a boxed type and used
	  as such through out the library (Giovanni Campagna)
	* Each GWeatherLocation is now strongly associated
	  with world level location, and this is reflected
	  in GWeatherInfo (Giovanni Campagna)
	* Fixed retrieving US weather for non US locales
	  (Giovanni Campagna)
	* Applied symbol filtering to avoid exposing non
	  public API (Giovanni Campagna)

  Translators

	* Greek (Tom Tryfonidis)
	* Telugu (Sasi Bhushan Boddepalli)

=============
Version 3.5.0
=============

  libgweather

        * Port to GSettings (Giovanni Campagna)

  Misc

        * Use upstream gettext (Javier Jardón)
        * Autotools build system fixes (Javier Jardón)

  Translators

        * Spanish (Daniel Mustieles)
        * Norwegian (Kjartan Maraas
        * Slovak (Pavol Klačanský)
        * Punjabi (A S Alam)
        * Hebrew (Yaron Shahrabani)
        * Galician (Fran Diéguez)
        * Bulgarian (Alexander Shopov)
        * Gujarati (Sweta Kothari)
        * Russian (Yuri Kozlov)
        * Slovenian (Matej Urbančič)
        * Belarusian (Ihar Hrachyshka)


=============
Version 3.4.1
=============

  Misc

        * linking with libm explicity (Dominique Leuenberger)
        * Set the URL for the package's home page in AC_INIT

=============
Version 3.4.0
=============

  Misc

        * Move API documentation to inline comments (Javier)
        * Improve autotools configuration a bit (Javier, Vincent)

  Translators

        * Ahmed Noor Kader Mustajir Md Eusoff (ms)
        * Jovan Naumovski (mk)
        * Arash Mousavi (fa)
        * Kjartan Maraas (nb)

=============
Version 3.2.1
=============

  libgweather

	* Fix fetching forecast from bom.gov.au (Johnny, Vincent)
	* Fix fetching forecasts from the Met Office (Vincent)
	* Fix introspection build with builddir != srcdir (Vincent)

=============
Version 3.2.0
=============

  Translators

	* Abderrahim Kitouni (ar)
	* Ihar Hrachyshka (be)
	* Andika Triwidada (id)
	* Aurimas Fišeras (lt)
	* Pavol Klačanský (sk)

=============
Version 3.1.3
=============

  Misc

	* Modernize build system a bit (Vincent)

  Translators

	* Kristjan SCHMIDT (eo)
	* Takayuki KUSANO (ja)
	* Gheyret Kenji (ug)
	* Korostil Daniel (uk)

=============
Version 3.0.0
=============

  libgweather

	* Build fixes (Kevin Easton, Craig Keogh)

  Translators

	* Joan Duran (ca)
	* Gabor Kelemen (hu)
	* Gheyret Kenji (ug)
	* Korostil Daniel (uk)
	* Clytie Siddall (vi)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 2.91.6
==============

  libgweather

	* Fix linking with gcc-4.5 (Martin Pitt)

  Translators

	* Joan Duran (ca@valencia)
	* Mattias Põldaru (et)
	* Mahyar Moghimi (fa)
	* Fran Diéguez (gl)
	* Changwoo Ryu (ko)
	* Gheyret Kenji (ug)

==============
Version 2.91.0
==============

Note to distributors: this release replaces the python bindings with
introspection support. It should also be parallel-installable with the
GTK+ 2 version of the library. Mostly, at least.

  libgweather

	* Port to GTK+ 3 (Vincent)
	* Add introspection support (Vincent)

  Python bindings

	* Remove python bindings (Vincent)

  Locations.xml.in

	* Update for tzdata 2010k (Vincent)

  Misc

	* Help with parallel-installability (Christian Persch, Vincent)
	* Update information in README and other files (Vincent)

  Translators

	* Mattias Põldaru (et)
	* Fran Diéguez (gl)
	* Takayuki KUSANO (ja)
	* Matej Urbančič (sl)
	* Gheyret Kenji (ug)
	* Aron Xu (zh_CN)

==============
Version 2.30.2
==============

  Translators

	* F Wolff (af)
	* Joan Duran (ca@valencia)
	* Reşat SABIQ (crh)
	* Thomas Thurman (en@shaw)
	* Kristjan SCHMIDT (eo)
	* Shankar Prasad (kn)
	* Peteris Krisjanis (lv)
	* Wouter Bolsterlee (nl)
	* Manoj Kumar Giri (or)
	* Maxim Dziumanenko (uk)

==============
Version 2.30.0
==============

  Translators
	* Alexander Shopov (bg)
	* Jamil Ahmed (bn)
	* Petr Kovar (cs)
	* Ask Larsen (da)
	* Nikos Bakaoukas (el)
	* Simos Xenitellis (el)
	* Inaki Larranaga Murgoitio (eu)
	* Tommi Vainikainen (fi)
	* Claude Paroz (fr)
	* Changwoo Ryu (ko)
	* Gintautas Miliauskas (lt)
	* Torstein Adolf Winterseth (nn)
	* A S Alam (pa)
	* Claudia Cotună (ro)
	* Adi Roiban (ro)
	* T Vasudeven (ta)
	* Maxim V. Dziumanenko (uk)

===============
Version 2.29.92
===============

  Translators
	* Alexander Shopov (bg)
	* Joan Duran (ca)
	* Mario Blättermann (de)
	* Bruce Cowan (en_GB)
	* Jorge González (es)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Yaron Sharabani (he)
	* Gabor Kelemen (hu)
	* Milo Casagrande (it)
	* Praveen Arimbrathodiyil (ml)
	* Kjartan Maraas (nb)
	* Torstein Adolf Winterseth (nn)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Antonio Fernandes C. Neto (pt_BR)
	* Leonid Kanter (ru)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)

===============
Version 2.29.91
===============

  Locations.xml.in
	* Andrew (Mulhouse, FR and Basel, CH)
	* David Bortz (Boulder CO US)
	* Harry Dance (Castle Donington, UK)
	* Arne Goetje (Tiawan cities)
	* Emilio Pozuelo Monfort (Canberra, AU)
	* Frank Solensky (St. Moritz, CH and Ankara, TR)
	* Vincent Untz (Antartica)

  Translators
	* Alexander Shopov (bg)
	* Petr Kovar (cs)
	* Mario Blättermann (de)
	* Jorge González (es)
	* Mattias Põldaru (et)
	* Bruno Brouard (fr)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Milo Casagrande (it)
	* Kjartan Maraas (nb)
	* Vladimir Melo (pt_BO)
	* Lucian Adrian Grijincu (ro)
	* Marcel Telka (sk)
	* Matej Urbančič (sl)
	* I. Felix (ta)

===============
Version 2.29.90
===============

  Locations.xml.in
	* Andrew (Mulhouse, FR and Basel, CH)
	* David Bortz (Boulder CO US)
	* Harry Dance (Castle Donington, UK)
	* Arne Goetje (Tiawan cities)
	* Emilio Pozuelo Monfort (Canberra, AU)
	* Frank Solensky (St. Moritz, CH and Ankara, TR)
	* Vincent Untz (Antartica)

  Translators
	* Alexander Shopov (bg)
	* Petr Kovar (cs)
	* Mario Blättermann (de)
	* Jorge González (es)
	* Mattias Põldaru (et)
	* Bruno Brouard (fr)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Milo Casagrande (it)
	* Kjartan Maraas (nb)
	* Vladimir Melo (pt_BO)
	* Lucian Adrian Grijincu (ro)
	* Marcel Telka (sk)
	* Matej Urbančič (sl)
	* I. Felix (ta)
	* vasudeven (ta)

===============
Version 2.29.90
===============

  Locations.xml.in
	* Marcin Banasiak (Lodz, PL)
	* bigbrovar@gmail.com (Abuja, NG)
	* Vassily Gavrilyak (Tbilisi, GE)
	* Federico Mena Quintero (Krasnoyarsk, RU)
	* rodrigodonado@gmail.com (Port-au-Prince, HT)

  Translators
	* Khaled Hosny (ar)
	* Krasimir Chonov (bg)
	* Jamil Ahmed (bn)
	* Mario Blättermann (de)
	* Jorge González (es)
	* Claude Paroz (fr)
	* Erdal Ronahi (ku)
	* Kjartan Maraas (nb)
	* Torstein Adolf Winterseth (nn)
	* Antonio Fernandes C. Neto (pt_BR)
	* Matej Urbančič (sl)
	* Aron Xu (zh_CN)

==============
Version 2.29.5
==============

  Translators
	* Xandru Armesto Fernandez (ast)
	* Jorge González (es)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)

==============
Version 2.29.4
==============

  libgweather
	* Unwind change that limited each city to one location (Frank)
	* Add entries missing from data/major-cities.txt (Frank)

  Locations.xml.in
	* ERA (Vantaa, FI)
	* Tobias Kunze Briseno (Windhoek, NA)
	* Kyle J. Harms (St. Louis, US)
	* Boris Kudryashov (Tyumen, RU)
	* Brian Marshall (multiple WA, US)
	* Rajeesh K. Nambiar (Bangalore, Kochi, Pune IN)
	* Amit Pundir (multiple IN)
	* Frank Solensky (Tromsø NO)
	* Matt Turdel (Montreal CA)
	* Ali Onur Uyan (multiple CO)

  Translators
	* Mario Blättermann (de)
	* Jorge González (es)
	* Sander Pientka (nl)
	* Daniel Nylander (sv)

==============
Version 2.29.3
==============

  libgweather

	* Phase-of-moon support, icons (Frank)
	* Remove, check for obsolete tzdata identifiers (Phillipe Gauthier)
	* Fix 'radar' spelling (Thomas Thurman)

  Translators

	* Denis ARNAUD (br)
	* Gil Forcada (ca)
	* Joe Hansen (da)
	* Thomas Thurman (en@shaw)
	* Andika Triwidada (id)
	* Sveinn í Felli (is)
	* Nils-Christoph Fiedler (nds)
	* Leonid Kanter (ru)

==============
Version 2.28.0
==============

  Misc

	* Improve configure summary (Vincent)
	* Use pygobject-codegen-2.0 instead of pygtk-codegen-2.0 (Vincent)

  Translators

	* Amitakhya Phukan (as)
	* Joan Duran (ca)
	* Kenneth Nielsen (da)
	* Mario Blättermann (de)
	* Bruce Cowan (en_GB)
	* Sweta Kothari (gu)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Shankar Prasad (kn)
	* Changwoo Ryu (ko)
	* Gintautas Miliauskas (lt)
	* Sangeeta Kumari (mai)
	* Peter Ani (ml)
	* Sandeep Shedmake (mr)
	* Manoj Kumar Giri (or)
	* A S Alam (pa)
	* Lucian Adrian Grijincu (ro)
	* Matej Urbančič (sl)
	* Krishna Babu K (te)
	* Aron Xu (zh_CN)

===============
Version 2.27.92
===============

libgweather

	* Fix compiler warning (Vincent)

Python bindings

	* Do not set executable bit for __init__.py (Emilio Pozuelo Monfort)

Misc
	* Fix out-of-tree build (Emilio Pozuelo Monfort)

Translators

	* Alexander Nyakhaychyk (be)
	* Runa Bhattacharjee (bn_IN)
	* Joan Duran (ca)
	* Carles Ferrando Garcia (ca@valencia)
	* Pavel Šefránek (cs)
	* Iñaki Larrañaga Murgoitio (eu)
	* Claude Paroz (fr)
	* Milo Casagrande (it)
	* Takayuki KUSANO (ja)
	* Kjartan Maraas (nb)
	* Tomasz Dominikowski (pl)
	* Djavan Fagundes (pt_BR)
	* Данило Шеган (sr)
	* Danilo Šegan (sr@latin)
	* Baris Cicek (tr)

===============
Version 2.27.91
===============

libgweather

	* More work for the windows port (Fridrich Strba, Tor Lillqvist)
	* Replace svn.gnome.org references by git.gnome.org (Claude Paroz)
	* Add gweather_timezone_get_utc() to get the UTC timezone (Vincent)
	* Add the UTC timezone in the timezone menu (Vincent)
	* Make gweather_location_entry_set_city() return a boolean (Vincent)
	* Add gweather_location_entry_has_custom_text() API (Vincent)

Misc

	* Check for regex library (Fridrich Strba)
	* Use silent-rules for quiet build (Vincent)
	* Build fixes (Vincent)

Translators

	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iestyn Pryce (cy)
	* Tommi Vainikainen (fi)
	* Seán de Búrca (ga)
	* Antón Méixome (gl)
	* Yaron Shahrabani (he)
	* Kjartan Maraas (nb)
	* Duarte Loreto (pt)
	* André Gondim (pt_BR)
	* Daniel Nylander (sv)
	* I. Felix (ta)
	* Theppitak Karoonboonyanan (th)
	* wanderlust (uk)

libgweather 2.26.1
==================

libgweather

	* Don't crash if the user provided an invalid URL for the radar check
	  (Dan)

Translators

	* Khaled Hosny (ar)
	* Fotis Tsamis (el)
	* Mattias Põldaru (et)
	* Gabor Kelemen (hu)
	* Shankar Prasad (kn)
	* Tomasz Dominikowski (pl)

libgweather 2.26.0
==================

Locations.xml

	* Remove a duplicate copy of Warsaw (Dan)
	* Strip out the automated Canadian stations that (badly) duplicate
	  non-automated stations. This fixes Edmonton (Dan)
	* Regenerate with only currently-reporting locations. This fixes Berlin
	  (Dan)

Translators

	* Amitakhya Phukan (as)
	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Joan Duran (ca)
	* Pavel Šefránek (cs)
	* Kenneth Nielsen (da)
	* Hendrik Richter (de)
	* Jennie Petoumenou (el)
	* Philip Withnall (en_GB)
	* Jorge González (es_ES)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Suso Baleato (gl)
	* Ankit Patel (gu)
	* Mark Krapivner (he)
	* Rajesh Ranjan (hi)
	* Takeshi AIHANA (ja)
	* Shankar Prasad (kn)
	* Erdal Ronahi (ku)
	* Žygimantas Beručka (lt)
	* Rajesh Ranjan (mai)
	* Praveen Arimbrathodiyil (ml)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Manoj Kumar Giri (or)
	* Krishnababu K (te)
	* Deniz Kocak (tr)
	* Theppitak Karoonboonyanan (th)

libgweather 2.25.92
===================

libgweather

	* Mark "Unknown" as translatable in the timezone menu (Vincent)

Translators

	* Ihar Hrachyshka (be@latin)
	* Yavor Doganov (bg)
	* David Lodge (en_GB)
	* Bruno Brouard (fr)
	* Milo Casagrande (it)
	* Takeshi AIHANA (ja)
	* Shankar Prasad (kn)
	* Praveen Arimbrathodiyil (ml)
	* Wouter Bolsterlee (nl)
	* Og Maciel (pt_BR)
	* Duarte Loreto (pt)
	* Adi Roiban (ro)
	* Nickolay V. Shmyrev (ru)
	* Daniel Nylander (sv)
	* Tirumurthi Vasudevan (ta)

libgweather 2.25.91
===================

Locations.xml

	* Use Asia/Kathmandu instead of Asia/Katmandu (Vincent)

Misc

	* Make it easier to regenerate locations.pot (Claude Paroz)

Translators

	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Gil Forcada (ca)
	* Kenneth Nielsen (da)
	* Christian Kirbach (de)
	* Iñaki Larrañaga Murgoitio (eu)
	* Yair Hershkovitz (he)
	* Gabor Kelemen (hu)
	* Milo Casagrande (it)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Raivis Dejus (lv)
	* Subhransu Behera (or)
	* Tomasz Dominikowski (pl)
	* Enrico Nicoletto (pt_BR)
	* Adi Roiban (ro)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

libgweather 2.25.5
==================

Translators

	* Joan Duran (ca)
	* Christian Kirbach (de)
	* Ilkka Tuohela (fi)
	* Gabor Kelemen (hu)
	* Kjartan Maraas (nb)
	* Daniel Nylander (sv)

libgweather 2.25.4
==================

libgweather

	* Add gweather_xml_free_locations() API (Milan Crha)
	* Fix leaks (Milan Crha)

Translators

	* Jorge Gonzalez (es)
	* Kjartan Maraas (nb)

libgweather 2.25.3
==================

libgweather

	* Make libgweather work on Win32 (Tor Lillqvist, Vincent)

Misc

	* Improve regeneration framework for po file for Locations.xml (Dan)

Translators

	* Claude Paroz (fr)
	* Yair Hershkovitz (he)
	* Erdal Ronahi (ku)
	* Fábio Nogueira (pt_BR)

libgweather 2.25.2
==================

libgweather

	* Add new API to directly get WeatherInfo values instead of strings
	  (Milan Crha)
	* Use the degree sign followed by "C" or "F" rather than using the
	  combined "degrees C" and "degrees F" glyphs (Dan)
	* Handle wind reports in m/s (Dan)
	* Use new libsoup 2.25.1 API for proxy instead of some custom code
	  (Dan)
	* Use single includes for gtk/glib (Maxim Ermilov)
	* Do not use deprecated libsoup API (Dan)
	* Do not care about sub-city locations and only use the first child
	  (Dan)
	* Handle compressed Locations.xml files (Vincent)
	* Code cleanups (Vincent, Dan)

Locations.xml

	* Do not localize sub-city locations since they won't be used in the UI
	  (Dan)
	* Add "Bahamas" to the list of countries whose name we put "the" before
	  in comments (Dan)
	* Add msgctxt attributes to the XML for duplicate names (Dan)
	* When given a location name like "Covington / Cincinnati", only create
	  an entry for one of the two cities (Dan)
	* Fix spelling of local vs international names (Dan)
	* Do not assume a weather station is in the same country as a city.
	  This fixes Luxembourg not appearing in the list of countries (Dan)

Misc

	* Make sure that the shipped COPYING file is GPLv2 (Dan)
	* Add various flags like -DG_DISABLE_SINGLE_INCLUDES and
	  _DISABLE_DEPRECATED flags (Dan, Vincent)
	* Remove locations_file from the pkg-config pc file (Dan, Vincent)
	* Require intltool 0.40.3 (Dan)
	* Add --enable-locations-compression configure flag to compress
	  Locations.xml files with gzip (Vincent)
	* Add some (incomplete) API documentation with gtk-doc (Vincent, Dan)

Translators

	* Jorge González (es_ES)
	* Jorge González (es)
	* Daniel Nylander (sv)

libgweather 2.24.2
==================

Translators

	* Jiri Eischmann (cs)
	* Ivar Smolin (et)

libgweather 2.24.1
==================

libgweather

	* Make sure the returned strings are UTF-8 (Minoru Hashima, Dan)
	* Code cleanups (Dan)
	* Fix crash if a timezone in Locations.xml is not known (Dan)
	* Use the proxy settings (Dan)
	* Add weather_info_network_error() API to know the type of error
	  when getting the weather (Dan)

Locations.xml

	* Mexican states of Chihuahua, Nayarit, Sinaloa, and Sonora are in
	  Mountain Time, not Central Time (Christopher Aillon)

Misc

	* Distribute gweather.defs so python bindings are buildable (Emilio
	  Pozuelo Monfort)
	* Add -lm to the build (Frederic Peters, Dan)

Translators

	* Alaksandar Navicki (be@latin)
	* Fábio Nogueira (pt_BR)
	* Vasiliy Faronov (ru)
	* Danishka Navin (si)

libgweather 2.24.0
==================

Translators

	* Khaled Hosny (ar)
	* Amitakhya Phukan (as)
	* Runa Bhattacharjee (bn_IN)
	* Joan Duran (ca)
	* Petr Kovar (cs)
	* Kenneth Nielsen (da)
	* Christian Kirbach (de)
	* Kostas Papadimas (el)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Ankit Patel (gu)
	* Rajesh Ranjan (hi)
	* Launchpad Translations Administrators (hr)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Shankar Prasad (kn)
	* Changwoo Ryu (ko)
	* Rêzan Tovjîn (ku)
	* Žygimantas Beručka (lt)
	* Arangel Angov (mk)
	* Hari Vishnu (ml)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Fábio Nogueira (pt_BR)
	* Nickolay V. Shmyrev (ru)
	* Danishka Navin (si)
	* Laurent Dhima (sq)
	* Данило Шеган (sr)
	* I. Felix (ta)
	* Baris Cicek (tr)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

libgweather 2.23.92
===================

libgweather

	* Prepare code for python bindings (Dan)

Python bindings

	* New in this release. The API is unstable. (Dan)

Misc

	* Clean up GPL notices, copyrights and #includes (Dan)
	* Make some files LGPL. The library is still GPL (Dan)
	* Add --enable-python configure flag (Dan)

Translators

	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* David Lodge (en_GB)
	* Priit Laes (et)
	* Wouter Bolsterlee (nl)
	* Tirumurthi Vasudevan (ta)
	* Baris Cicek (tr)

libgweather 2.23.91
===================

libgweather

	* Fix build with old gcc (Jens Granseuer)
	* Parse decimal degrees rather than d/m/s (Dan)

Locations.xml

	* Fix a regexp to not mangle the spacing around "/" in some cases (Dan)
	* Fix various comments in Locations.xml (Dan)
	* Drop a lot of cities that are not useful in this database (Dan)
	* Make <coordinates> use decimal degrees rather than converting them to
	  degrees/minutes/seconds (Dan)
	* Fix Bangkok, Thailand (Dan)
	* Fix typo in MMGL so it appears again (Guadalajara, Mexico) (Dan)

Misc

	* Make --with-zoneinfo-dir configure flag work (Matt Keenan)
	* Build system fixes for Locations.xml (Dan)
	* Add a gweather-uninstalled.pc.in file (Damien Carbery, Vincent)

Translators

	* Djihed Afifi (ar)
	* Runa Bhattacharjee (bn_IN)
	* Andre Klapper (de)
	* Jorge Gonzalez (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Claude Paroz (fr)
	* Seán de Búrca (ga)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Shankar Prasad (kn)
	* Arangel Angov (mk)
	* Kjartan Maraas (nb)
	* Tomasz Dominikowski (pl)
	* Fábio Nogueira (pt_BR)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Nguyễn Thái Ngọc Duy (vi)

libgweather 2.23.6
==================

libgweather

	* Fixes weather information not showing up in the clock applet
	  (Matthias Clasen)
	* Add translator comment (Claude Paroz)
	* Use a new Locations.xml.in parser (Dan)
	* Add GWeatherTimezone type to represent a timezone (Dan)
	* Add GWeatherLocation type to represent a location. It will eventually
	  replace WeatherLocation (Dan)
	* Add new GWeatherLocationEntry widget to select a location (Dan)
	* Add new GWeatherTimezoneMenu widget to select a timezone (Dan)

Locations.xml

	* Completely reworked (Dan):
	 - the file can be easily regenerated with some scripts
	 - every <location> node is inside a <city> node with a real city name
	 - we should have better & more consistent data now
	* Add information about timezones (Dan)

Translators

	* Djihed Afifi (ar)
	* Claude Paroz (fr)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Takeshi AIHANA (ja)

libgweather 2.23.5
==================

libgweather

	* Code cleanups & choose one unique coding style (Dan)
	* Use libsoup for http (Dan)
	* Make the XML parsing more future-proof (Dan)
	* Change cvs.gnome.org references to svn.gnome.org (Jan Tichavský)

Locations.xml

	* Fix spelling of Ulaanbaatar, Mongolia (DULMANDAKH Sukhbaatar)
	* Remove duplicate copy of Gadsden, Alabama, US and of other locations
	  (Sebastien Bacher, Dan)
	* Fix BOM codes for Alice Springs and Darwin, Australia (Andrew Burton)
	* Reorganize Brazil into <state>s, with proper timezone hints (Grazieno
	  Pellegrino)
	* Fix South African locations to not be based on out-of-date airport
	  names (Adrian Frith)
	* Add Łódź, Poland (Marcin Banasiak)
	* Split "Serbia and Montenegro" into "Serbia" and "Montenegro" (Dan)
	* Move various locations to the right country or continent (Dan)
	* Mark some locations as translatable (Dan)
	* Reorganize countries exactly according to ISO 3166 (Dan)

Misc

	* Require libsoup and drop gnome-vfs dependency (we also explicitly
	  require gconf now) (Dan)

Translators

	* Jorge González (es)
	* Ivar Smolin (et)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

libgweather 2.23.4
==================

libgweather

	* Use the new URL for the Weather Phenomena Matrix (Gabor Kelemen)

Misc

	* Require intltool 0.40.0 (Vincent)

Translators

	* Khaled Hosny (ar)
	* Claure Paroz (fr)
	* Yair Hershkovitz (he)
	* Gabor Kelemen (hu)
	* Kjartan Maraas (nb)
	* Funda Wang (zh_CN)

libgweather 2.23.3
==================

Locations.xml

	* Fix Louisiana spelling (Dan Winship)

Translators

	* Khaled Hosny (ar)
	* Yavor Doganov (bg)
	* Hendrik Richter (de)
	* Jorge Gonzalez (es)
	* Ignacio Casal Quinteiro (gl)
	* Wouter Bolsterlee (nl)
	* Clytie Siddall (vi)

libgweather 2.23.2
==================

Locations.xml

	* Added the East-Flanders region of Belgium (Tibault Damman, Callum
	  McKenzie)
	* Complete the entries for New Zealand (Callum McKenzie)

Translators

	* Adam Weinberger (en_CA)
	* Jorge Gonzalez (es)
	* Ignacio Casal Quinteiro (gl)
	* Gabor Kelemen (hu)
	* Wouter Bolsterlee (nl)
	* Kjartan Maraas (nb)

libgweather 2.23.1
==================

libgweather

	* Parse the localized Locations.xml if available (Vincent)
	* When parsing Locations.xml, merge a city with its location when
	  there's only one location (Vincent)
	* Do not keep region/country/state/city without locations (Vincent)

Locations.xml

	* Updated Russian tz-hints (Nickolay V. Shmyrev)
	* Add correct tz-hint for Valparaiso, IN (Shaun McCance)
	* Fix many tz-hints (Dan Winship)
	* Add script to check the tz-hints are valid (Dan Winship, Vincent)
	* Add some documentation about the format of the file (Dan Winship)
	* Create per-locale XML files if asked so to improve performance
	  (Vincent)
	* Divide Mexico locations into states (Federico Mena Quintero)
	* Update data for Santiago (Jaap A. Haitsma)
	* Fix coordinates for Nefta (Jaap A. Haitsma)

Misc

	* Add new --enable-all-translations-in-one-xml configure flag to keep
	  the old behavior of building one XML file with all translations
	  instead of creating per-locale XML files (Vincent)
	* List the right libraries requirements in gweather.pc (Vincent)
	* Fix build when LINGUAS is set (Vincent)
	* Fix build with -jX (Vincent)

Translators

	* Bastien Nocera (en_GB)
	* Jorge Gonzalez (es)
	* Vincent Untz (fr)
	* Yair Hershkovitz (he)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Daniel Nylander (sv)

libgweather 2.22.1.1
====================

Misc

	* Change the soname of the library :-) (Vincent)

libgweather 2.22.1
==================

The API/ABI has been broken in this release.

libgweather

	* Add API to parse Locations.xml, based on the code from
	  gnome-applets/gnome-panel (Dan Winship)
	* Parse country codes and timezone hints [breaks API/ABI] (Dan Winship)

Locations.xml

	* Add country codes and timezone hints to Locations.xml (Dan Winship)
	* Make the file valid (Vincent)
	* Add make check rule (Dan Winship)

Misc

	* Distribute Locations.xml.in and relevant translations (Loïc Minier,
	  Sebastian Dröge)

Translators

	* Simos Xenitellis (el)
	* Ivar Smolin (et)
	* Eskild Hustvedt (nn)

libgweather 2.22.0
==================

Translators

	* Alexander Nyakhaychyk (be)
	* Runa Bhattacharjee (bn_IN)
	* Kenneth Nielsen (da)
	* David Lodge (en_GB)
	* Claude Paroz (fr)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Sandeep Shedmake (mr)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Vasiliy Faronov (ru)
	* I. Felix (ta)
	* Baris Cicek (tr)
	* Maxim V. Dziumanenko (uk)

libgweather 2.21.92
==================

Translators

	* Khaled Hosny (ar)
	* Amitakhya Phukan (as)
	* Alaksandar Navicki (be@latin)
	* Xavier Conde Rueda (ca)
	* Petr Kovar (cs)
	* Andre Klapper (de)
	* Ilkka Tuohela (fi)
	* Seán de Búrca (ga)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Takeshi AIHANA (ja)
	* Shankar Prasad (kn)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Arangel Angov (mk)
	* Wouter Bolsterlee (nl)
	* Tomasz Dominikowski (pl)
	* Jonh Wendell (pt_BR)
	* Duarte Loreto (pt)
	* Danishka Navin (si)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Yang Zhang (zh_CN)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)


libgweather 2.21.1
==================

This is the first release of libgweather as a standalone
library. libgweather provides access to weather information from the
net and is used by programs such as the weather report applet.

The library was previously part of the gnome-applets package and this
release corresponds with the 2.21.3 release of gnome-applets. Since
the last release of gnome-applets, the following changes have been
made to libgweather:

 - Locations.xml has been moved from gweather to libgweather and a
   pkg-config variable has been added to let applications find it.
 - Units are now marked for translation.
 - New functions to parse temperatures and wind speeds.
 - Locations.xml fixes.
